Summary: A GNOME daemon for automatically mounting/playing CDs.
Name: magicdev
Version: 0.3.6
Release: 3
Copyright: GPL
Group: Applications/System
Source: magicdev-%{version}.tar.gz
Source2: magicdev-pofiles.tar.gz
Patch1: magicdev-0.3.6-fstab.patch
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: gmc, gnome-libs-devel, control-center-devel, libglade-devel

%description
Magicdev is a daemon that runs within the GNOME environment and
detects when a CD is removed or inserted. Magicdev handles running
autorun programs on the CD, updating the File Manager, and playing
audio CDs.

%prep
%setup -q

%patch1 -p1 -b .fstab

## unpack pofiles
tar zxf %{SOURCE2}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/control-center/Peripherals/cd.desktop
%{_datadir}/gnome/apps/Settings/Peripherals/cd.desktop
%{_datadir}/magicdev
%{_datadir}/idl/*
%config(noreplace) /etc/CORBA/servers/magicdev.goad

%changelog
* Wed Sep 26 2001 Owen Taylor <otaylor@redhat.com>
- Fix crash for non-readable fstab (#53485)

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Thu Aug 02 2001 Owen Taylor <otaylor@redhat.com>
- Merge spec file changes from Red Hat RPM
- Add BuildPrereq (http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=44865)

* Tue Feb 27 2001 Trond Eivind Glomsrød <teg@redhat.com>
- langify
- use %%{_tmppath}

* Mon Jul 17 2000 Elliot Lee <sopwith@redhat.com>
- Add .mo files

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild for Winton

* Wed Mar  8 2000 Matt Wilson <msw@redhat.com>
- fix for autorun

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- goad file is config file

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Initial package
